
/*
 * logic_app_start.c
 *
 *  Created on: 2025年4月25日
 *      Author: 22332
 */

#include "cola_init.h"
#include "cola_device.h"
#include "cola_os.h"
#include "../fml/fml_adc.h"
#include "../fml/fml_flash.h"
#include "../fml/fml_gpio.h"
#include "../fml/fml_master_iic.h"
#include "../fml/fml_ds90ub948.h"
extern void test_mode_open(void);
extern void Turn_BIST_init(void);
extern void power_on_manage(void);
extern void logic_diagnose_init(void);
extern void fml_shell_init(void);
extern void fml_touch_init(void);
extern void fml_touch_read_version_info(void);
extern void logic_init(void);

void fml_init(void)
{
	fml_shell_init();
	fml_flash_init();
	fml_master_init();
	//fml_ds90ub948_open();
	//fml_touch_init();
	fml_gpio_init();
	fml_adc_init();
	power_on_manage();
	//test_mode_open();
	logic_init();
	Turn_BIST_init();
	//fml_touch_read_version_info();
	logic_diagnose_init();
}
device_initcall(fml_init);
